//
//  EventData.swift
//  UkiCalendar
//
//  Created by ukiLab on 2023/11/12.
//

import Foundation
import SwiftUI

struct EventData: Identifiable {
  var id: Int64?
  var title: String = ""
  var startDate: Date
  var endDate: Date?
  var isAllDay: Bool = false
  var note: String?
  var color: Color?

  func deepCopy() -> EventData {
    return EventData(
      id: self.id,
      title: self.title,
      startDate: self.startDate,
      endDate: self.endDate,
      isAllDay: self.isAllDay,
      note: self.note,
      color: self.color
    )
  }
}

