//
//  EventListCell.swift
//  UkiCalendar
//
//  Created by ukiLab on 2024/02/04.
//

import SwiftUI

struct EventListCell: View {
  @Binding var event: EventData
  
  var body: some View {
    HStack(alignment: .top) {
      //      if let color = event.color {
      //        let uiColor = UIColor(color).cgColor
      //        if let components = uiColor.components {
      //          let _ = debugLog("cell color:" + components.map { "\($0)" }.joined(separator: ","))
      //        }
      //      }
      Rectangle()
        .fill(event.color ?? Constants.eventColorDefault)
        .frame(width: 50, height: 50)
        .cornerRadius(10.0)
      VStack(alignment: .leading) {
        Text(event.title)
        Text(event.note ?? "")
      }
      Spacer()
    }
  }
}

#Preview {
  EventListCell(event:
      .constant(
        EventData(
          title: "event",
          startDate: Date(),
          note: "Some details about the event",
          color: .blue
        )
      )
  )
}
