//
//  FloatingButton.swift
//  UkiCalendar
//
//  Created by ukiLab on 2024/02/04.
//

import SwiftUI

struct FloatingButton: View {
  @Binding var trigger: Bool
  
  var body: some View {
    VStack {
      Spacer()
      HStack {
        Spacer()
        Button(action: {
          debugLog("Tapped!!")
          trigger.toggle()
        }, label: {
          Image(systemName: "plus")
            .foregroundColor(.white)
            .font(.system(size: 24))
        })
        .frame(width: 60, height: 60)
        .background(.blue)
        .cornerRadius(30.0)
        .shadow(color: .gray, radius: 3, x: 3, y: 3)
        .padding(EdgeInsets(top: 0, leading: 0, bottom: 16.0, trailing: 16.0))
      }
    }
  }
}

#Preview {
  FloatingButton(trigger: .constant(false))
}
