//
//  SquareColorPickerView.swift
//  UkiCalendar
//  Ref: https://stackoverflow.com/a/67145239
//
//  Created by ukiLab on 2024/02/14.
//

import SwiftUI

struct SquareColorPickerView: View {
  @Binding var colorValue: Color

  var body: some View {
    colorValue
      .frame(width: 40, height: 40, alignment: .center)
      .cornerRadius(10.0)
      .overlay(RoundedRectangle(cornerRadius: 10.0).stroke(Color.white, style: StrokeStyle(lineWidth: 5)))
      .padding(10)
      .background(AngularGradient(gradient: Gradient(colors: [.red,.yellow,.green,.blue,.purple,.pink]), center:.center).cornerRadius(20.0))
      .overlay(ColorPicker("", selection: $colorValue).labelsHidden().opacity(0.015))
  }
}

#Preview {
  SquareColorPickerView(colorValue: .constant(.blue))
}
